# -*- coding: UTF-8 -*

"""Model : preferences
"""
from app import db


class ScoPreference(db.Model):
    """ScoDoc preferences"""

    __tablename__ = "sco_prefs"
    id = db.Column(db.Integer, primary_key=True)
    pref_id = db.synonym("id")

    dept_id = db.Column(db.Integer, db.ForeignKey("departement.id"))

    name = db.Column(db.String(128), nullable=False, index=True)
    value = db.Column(db.Text())
    formsemestre_id = db.Column(db.Integer, db.ForeignKey("notes_formsemestre.id"))
